umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Variables
objectwidget.cpp File Reference
`#include "objectwidget.h"`
`#include "classpropertiesdialog.h"`
`#include "debug_utils.h"`
`#include "dialog_utils.h"`
`#include "docwindow.h"`
`#include "listpopupmenu.h"`
`#include "messagewidget.h"`
`#include "seqlinewidget.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlobject.h"`
`#include "umlscene.h"`
`#include "umlview.h"`
`#include <KLocalizedString>`
`#include <QPointer>`
`#include <QPainter>`
`#include <QValidator>`
`#include <QXmlStreamWriter>`

## Macros
#define | O_MARGIN 5
#define | O_WIDTH 40
#define | A_WIDTH 20
#define | A_HEIGHT 40
#define | A_MARGIN 5

## Variables
static const int | sequenceLineMargin = 20

## Macro Definition Documentation

## ◆ A_HEIGHT

#define A_HEIGHT 40

## ◆ A_MARGIN

#define A_MARGIN 5

## ◆ A_WIDTH

#define A_WIDTH 20

## ◆ O_MARGIN

#define O_MARGIN 5

## ◆ O_WIDTH

#define O_WIDTH 40

## Variable Documentation

## ◆ sequenceLineMargin

const int sequenceLineMargin = 20
| static

The number of pixels margin between the lowest message and the bottom of the vertical line